From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pygresql/
Date: Fri, 19 Feb 2016 12:46:32 +0000 (UTC) [thread overview]
Message-ID: <1455885934.2de7b36bcc25ad41574baf85a065bdfc4a67eae2.patrick@gentoo> (raw)
commit: 2de7b36bcc25ad41574baf85a065bdfc4a67eae2
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 19 12:39:22 2016 +0000
Commit: Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Fri Feb 19 12:45:34 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2de7b36b
dev-python/pygresql: Bump
Package-Manager: portage-2.2.27
dev-python/pygresql/Manifest | 1 +
dev-python/pygresql/pygresql-4.2.ebuild | 76 +++++++++++++++++++++++++++++++++
2 files changed, 77 insertions(+)
diff --git a/dev-python/pygresql/Manifest b/dev-python/pygresql/Manifest
index 621f42e..37947de 100644
--- a/dev-python/pygresql/Manifest
+++ b/dev-python/pygresql/Manifest
@@ -1 +1,2 @@
DIST PyGreSQL-4.1.1.tgz 100883 SHA256 bb14092f97c66ed13b8faf71471b8c156c6b46d915858447f3a63e9abe48eef7 SHA512 4b37c56f2112471aa5f3003a1d867382ce1b7510afa0963f0ceeb2f8175ca601bb5bade9ea2038d44a1041f12233e364f138a635bb7b353d0a82aeb7d9d49b7f WHIRLPOOL 323bfd1b72341be6b14d71fd4f05f5005a0f8a387f9b050ef3c786531ea19e057aa67fb5737b5aa0c4ca0912ad697a39d8957d70bb6bb4056e81f406ade5a6b9
+DIST PyGreSQL-4.2.zip 1377728 SHA256 c57adc6b76e8b513e819b8f36710cf906d21617ff6513a0c4dad4acecdfccf3c SHA512 84044480c3f25548137240ac999334546b87987ac6c601608bcae057cf93567f0eb24e343f6ee214ea87e09ac6bd5ce80cfeb5f75deb7896e87b001a2099c78f WHIRLPOOL cac5d4fed22e51316c3c8cc0de367dc5998642c1425a944b147ed059ee3f70387ac704f8465b6fdbde0802e92c21369f0171c2dc0ee2ebbc1e7f0c827b5b900d
diff --git a/dev-python/pygresql/pygresql-4.2.ebuild b/dev-python/pygresql/pygresql-4.2.ebuild
new file mode 100644
index 0000000..91fb90d
--- /dev/null
+++ b/dev-python/pygresql/pygresql-4.2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+POSTGRES_COMPAT=( 9.{0,1,2,3,4,5} )
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+MY_P="PyGreSQL-${PV}"
+
+DESCRIPTION="A Python interface for the PostgreSQL database"
+HOMEPAGE="http://www.pygresql.org/"
+SRC_URI="mirror://pypi/P/PyGreSQL/${MY_P}.zip"
+
+LICENSE="POSTGRESQL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~sparc ~x86"
+IUSE="doc"
+
+DEPEND="|| (
+ dev-db/postgresql:9.5
+ dev-db/postgresql:9.4
+ dev-db/postgresql:9.3
+ dev-db/postgresql:9.2
+ dev-db/postgresql:9.1
+ dev-db/postgresql:9.0
+)"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+# Verify that the currently selected PostgreSQL slot is set to one of
+# the slots defined in POSTGRES_COMPAT.
+postgres_check_slot() {
+ if ! declare -p POSTGRES_COMPAT &>/dev/null; then
+ die 'POSTGRES_COMPAT not declared.'
+ fi
+
+# Don't die because we can't run postgresql-config during pretend.
+[[ "$EBUILD_PHASE" = "pretend" && -z "$(which postgresql-config 2> /dev/null)" ]] \
+ && return 0
+
+ local res=$(echo ${POSTGRES_COMPAT[@]} \
+ | grep -c $(postgresql-config show 2> /dev/null) 2> /dev/null)
+
+ if [[ "$res" -eq "0" ]] ; then
+ eerror "PostgreSQL slot must be set to one of: "
+ eerror " ${POSTGRES_COMPAT[@]}"
+ return 1
+ fi
+
+ return 0
+}
+
+pkg_pretend() {
+ postgres_check_slot
+}
+
+pkg_setup() {
+ postgres_check_slot || die
+}
+
+python_install_all() {
+ local DOCS=( docs/*.rst )
+ distutils-r1_python_install_all
+
+ if use doc; then
+ insinto /usr/share/doc/${PF}/tutorial
+ doins tutorial/*
+ dohtml docs/*.{html,css}
+ fi
+}
next reply other threads:[~2016-02-19 12:46 UTC|newest]
Thread overview: 63+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-02-19 12:46 Patrick Lauer [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-05-02 8:47 [gentoo-commits] repo/gentoo:master commit in: dev-python/pygresql/ Michał Górny
2017-11-16 21:27 Aaron Swenson
2017-12-19 15:46 Thomas Deutschmann
2017-12-29 17:55 Mikle Kolyada
2017-12-30 11:02 Sergei Trofimovich
2017-12-30 18:12 Aaron Swenson
2018-01-05 23:19 Michał Górny
2018-02-18 21:05 Sergei Trofimovich
2018-03-03 12:14 Tobias Klausmann
2018-03-18 20:50 Sergei Trofimovich
2018-05-13 16:29 Aaron Swenson
2019-02-14 7:19 Sergei Trofimovich
2019-02-14 11:34 Aaron W. Swenson
2019-03-24 10:01 Agostino Sarubbo
2019-03-24 19:44 Sergei Trofimovich
2019-03-24 20:12 Sergei Trofimovich
2019-04-01 19:58 Thomas Deutschmann
2019-05-02 21:08 Mikle Kolyada
2019-06-15 10:58 Aaron W. Swenson
2019-06-17 10:36 Aaron W. Swenson
2020-01-18 18:48 Michał Górny
2020-03-28 17:44 Michał Górny
2020-05-05 6:46 Agostino Sarubbo
2020-05-11 16:49 Agostino Sarubbo
2020-07-27 20:06 Aaron Bauman
2020-08-14 0:49 Aaron W. Swenson
2020-09-03 14:29 Thomas Deutschmann
2020-09-05 15:15 Sam James
2020-12-01 2:56 Aaron W. Swenson
2020-12-18 12:29 Aaron W. Swenson
2021-01-20 0:04 Sam James
2021-01-20 7:41 Agostino Sarubbo
2021-01-24 10:15 Michał Górny
2021-08-22 21:53 David Seifert
2021-11-04 8:04 Arthur Zamarin
2021-11-04 8:04 Arthur Zamarin
2021-11-04 8:04 Arthur Zamarin
2022-01-31 7:53 Michał Górny
2022-03-27 9:31 Michał Górny
2022-04-19 17:04 Arthur Zamarin
2022-04-21 7:02 Agostino Sarubbo
2022-04-21 8:25 Jakov Smolić
2022-05-04 17:56 Michał Górny
2023-05-03 5:22 Sam James
2023-08-28 16:53 Michał Górny
2023-10-04 5:51 Michał Górny
2023-10-24 19:45 Arthur Zamarin
2023-10-24 19:45 Arthur Zamarin
2023-10-24 19:45 Arthur Zamarin
2023-10-25 5:54 Michał Górny
2023-11-09 18:24 Michał Górny
2023-12-02 13:05 Arthur Zamarin
2023-12-02 13:05 Arthur Zamarin
2023-12-02 13:11 Michał Górny
2023-12-02 13:59 Arthur Zamarin
2023-12-02 19:30 Michał Górny
2024-04-20 5:40 Michał Górny
2024-05-04 7:28 Arthur Zamarin
2024-05-04 7:34 Arthur Zamarin
2024-05-04 7:57 Arthur Zamarin
2024-05-04 11:32 Michał Górny
2025-03-18 11:22 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1455885934.2de7b36bcc25ad41574baf85a065bdfc4a67eae2.patrick@gentoo \
--to=patrick@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox